/*!
 * Copyright (c) 2024 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * SPDX-License-Identifier: EPL-2.0
*/

.card {
  box-shadow: 0 0 10px #00000066;
  padding: @card-padding;

  &-logo {
    max-width: 26rem;
    height: 8rem;
    margin-bottom: 4rem;
  }

  &-logo img {
    max-width: 100%;
    max-height: 100%;
    margin: auto;
  }
  
  // Modifiers
  &.card-bordered {
    border: 1px solid #e6e6e6;
  }
}

.card.icon-card {
  position: relative;
  padding: @icon-card-padding;
  padding-top: calc(@icon-card-padding + 2rem);
  height: 24rem;
  border-radius: 0.75rem;

  .icon-card-header {
    margin-bottom: 2rem;

    &-title {
      .h4;
      margin: 0;
      text-transform: uppercase;
      text-align: center;
    }

    &-icon {
      position: absolute;
      top: -3rem;
      left: calc(50% - 3rem);
      width: 6rem;
      height: 6rem;
      padding: 1rem;
      border-radius: 50% 50%;
      background-color: @brand-primary;
    }
  }

  .icon-card-body-cta {
    position: absolute;
    left: 0;
    bottom: calc(@icon-card-padding/2);
    width: 100%;
  }
}

.card.icon-card.icon-card-dark {
  color: @white;
  background-color: @brand-secondary;

  &,
  .icon-card-header-title {
    color: @white;
  }
}